d_path
Prev | The Directory Cache | Next

## Name

d_path — return the path of a dentry

## Synopsis

`char * d_path (` | struct path * | path,
| char * | buf,
| int | buflen`)`;

## Arguments

`path`

  path to report

`buf`

  buffer to return value in

`buflen`

  buffer length

## Description

Convert a dentry into an ASCII path name. If the entry has been deleted the string “ (deleted)” is appended. Note that this is ambiguous.

Returns the buffer or an error code if the path was too long.

“buflen” should be positive. Caller holds the dcache_lock.

Prev | Up | Next
d_materialise_unique | Home | find_inode_number